/**
 * 切换操作按钮的样式。
 * Toggle the style of the operation button.
 *
 * @access public
 * @returns void
 */
window.toggleActionsStyle = function()
{
    const {addCompeteTips, addLang, enableCompetitor} = $('.think-objects').data();
    $('.table td[data-name="ACTIONS"] .btn[data-type="add"]').prop({
        disabled: ($('.table tbody tr').length >= 5),
        title: $('.table tbody tr').length >= 5 ? addCompeteTips.replace('%s', 5) : addLang,
    });
    if(enableCompetitor == 0) $('.table td[data-name="ACTIONS"] .btn[data-type="delete"]').prop({disabled: $('.table tbody tr').length <= 2});
}

$(document).on('click', 'td[data-name="ACTIONS"] .btn', function()
{
    if(!$('.think-objects').length) return;

    toggleActionsStyle();
    if($(this).data('type') == 'add') $(this).closest('tr').next().find('td:first-child .form-control')[0].focus();
});

/**
 * 更改输入的对象值。
 * Change objects for MQA.
 *
 * @access public
 * @returns void
 */
window.changeObjectsForRDA = function(event)
{
    if(!$('.form-batch-table .form-control.has-error').length) return;

    const name = $(event).attr('name').replace(/\[.*?\]/g, '');
    $(`.form-batch-input[name^="${name}["]`).trigger('input');
}
