<?php
/**
 * The configureobjectsforrda view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

/* featurebar */
$currentNav = 'configureObjects';
include './navs.html.php';

$objectType       = 'product';
$configureObjects = null;
if(isset($wizard->config['configureObjects']))
{
    $configureObjects = json_decode($wizard->config['configureObjects'], true);
    $objectType       = $configureObjects['type'];
}
$showObjectName   = $objectType == 'product' ? $lang->thinkwizard->objects->product : $lang->thinkwizard->objects->typeList['RDA'][$objectType];
$enableCompetitor = $wizard->model == 'appeals' ? 1 : 0;
if(isset($configureObjects['enableCompetitor'])) $enableCompetitor = $configureObjects['enableCompetitor'];

$guide = $enableCompetitor == 1 ? $lang->thinkwizard->objects->guide : $lang->thinkwizard->objects->guideOfNoCompete;

$data = array();
if(isset($configureObjects['competeName']))
{
    foreach($configureObjects['competeName'] as $key => $value)
    {
        $item['competeName'] = $value;
        if($enableCompetitor == 0)
        {
            $item['markets']    = isset($configureObjects['markets'][$key]) ? $configureObjects['markets'][$key] : '';
            $item['marketDesc'] = isset($configureObjects['marketDesc'][$key]) ? $configureObjects['marketDesc'][$key] : '';
        }
        else
        {
            $item['competeDesc'] = isset($configureObjects['competeDesc'][$key]) ? $configureObjects['competeDesc'][$key] : '';
        }
        $data[] = $item;
    }
}

div
(
    setData(array('isAssignedObject' => isset($configureObjects['isAssignedObject']) ? $configureObjects['isAssignedObject'] : '1', 'addCompeteTips' => $lang->thinkwizard->tips->addCompete, 'addLang' => $lang->thinkwizard->add, 'enableCompetitor' => $enableCompetitor)),
    on::init()->call('initObjects'),
    on::inited()->call('toggleActionsStyle'),
    setClass('think-objects bg-canvas rounded-md'),
    div
    (
        setClass('h-12 flex items-center w-full mx-auto font-medium text-md text-gray-950'),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)')),
        $lang->thinkwizard->objects->title
    ),
    h::hr(),
    formBatch
    (
        setClass('scrollbar-thin scrollbar-hover overflow-y-auto'),
        setStyle(array('height' => 'calc(100vh - 215px)')),
        set::data($data),
        set::minRows(3),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)')),
        setClass('h-full mx-auto col think-objects-form items-stretch relative'),
        set::actions(array()),
        on::change('.form-batch-input')->call('window.changeObjectsForRDA', jsRaw('this')),
        to::formBefore(formHidden('type', $objectType), formHidden('enableCompetitor', $enableCompetitor), div
        (
            setClass('w-full flex items-center bg-primary-50 px-4 py-2.5 rounded-sm mt-6'),
            str_replace(array('%model%', '%object%'), array($wizard->name, $showObjectName), $guide)
        ), formGroup
        (
            setClass('bg-gray-100 bg-opacity-50 rounded-sm py-3 my-3 px-4'),
            set::label($lang->thinkwizard->objects->specifyObject),
            radioList(set::name('isAssignedObject'), set::items($lang->thinkwizard->objects->specifyObjectOptions), set::value(isset($configureObjects['isAssignedObject']) ? $configureObjects['isAssignedObject'] : '1'), set::inline(true), on::change()->do('$(".subject-content,.form-batch-table").toggleClass("hidden", event.target.value == 0);'))
        ), $enableCompetitor == 0 ? null : formRow(setClass('bg-gray-100 bg-opacity-50 rounded-sm flex gap-3 py-3 px-4 mb-3 subject-content'), formGroup(set::required(true), set::width($objectType == 'product' ? '1/3' : 'calc(50% - 46px)'), set::label($lang->thinkwizard->objects->subject . $showObjectName), set::name('subjectName'), set::value(isset($configureObjects['subjectName']) ? $configureObjects['subjectName'] : '')), $objectType == 'product' ? formGroup(set::required(true), set::width('1/3'), set::label($lang->thinkwizard->objects->market), set::name('market'), set::value(isset($configureObjects['market']) ? $configureObjects['market'] : '')) : null, formGroup($objectType == 'product' ? set::width('1/3') : setClass('flex-1'), set::label(sprintf($lang->thinkwizard->objects->subjectDesc, $showObjectName)), set::name('subjectDesc'), set::value(isset($configureObjects['subjectDesc']) ? $configureObjects['subjectDesc'] : '')))),
        formBatchItem(set::required(true), set::name('competeName'), set::label($enableCompetitor == 1 ? $lang->thinkwizard->objects->compete . $showObjectName : sprintf($lang->thinkwizard->objects->enterpriseProducts, $showObjectName))),
        formBatchItem
        (
            setClass($enableCompetitor == 1 ? 'hidden' : ''),
            set::required(true),
            set::name('markets'),
            set::label($lang->thinkwizard->objects->market)
        ),
        $enableCompetitor == 0 ? formBatchItem
        (
            set::label($lang->thinkwizard->objects->marketDesc),
            set::name('marketDesc')
        ) : formBatchItem
        (
            set::label(sprintf($lang->thinkwizard->objects->competeDesc, $showObjectName)),
            set::name('competeDesc')
        ),
        div
        (
            setClass('pb-4 pl-px'),
            icon
            (
                setStyle('margin-top', '-4px'),
                setClass('text-warning align-middle'),
                'exclamation'
            ),
            span(setClass('text-gray ml-2'), $lang->thinkwizard->objects->desc)
        )
    ),
    div
    (
        setClass('py-3 bg-canvas flex gap-6 justify-center border-t border-gray-100 shadow'),
        btn
        (
            setStyle('width', '100px'),
            set::btnType('submit'),
            set::type('primary'),
            set::text($lang->thinkwizard->next),
            on::click()->call('submitObjects')
        )
    )
);
